Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_POSIX_AIOCB_Asynch_Transmit_Handler Class Reference

Inheritance diagram for ACE_POSIX_AIOCB_Asynch_Transmit_Handler

[legend]
Collaboration diagram for ACE_POSIX_AIOCB_Asynch_Transmit_Handler:

[legend]
List of all members.

## Public Methods
| ACE_POSIX_AIOCB_Asynch_Transmit_Handler (ACE_POSIX_AIOCB_Proactor *posix_aiocb_proactor, ACE_POSIX_Asynch_Transmit_File_Result *result)
virtual | ~ACE_POSIX_AIOCB_Asynch_Transmit_Handler (void)
int | transmit (void)
## Protected Methods
virtual void | handle_write_stream (const ACE_Asynch_Write_Stream::Result &result)
| This method will be called when an asynchronous write completes on a stream.
virtual void | handle_read_file (const ACE_Asynch_Read_File::Result &result)
| This method will be called when an asynchronous read completes on a file.
int | initiate_read_file (void)
## Protected Attributes
ACE_POSIX_AIOCB_Asynch_Read_File | rf_
ACE_POSIX_AIOCB_Asynch_Write_Stream | ws_

## Constructor & Destructor Documentation

ACE_POSIX_AIOCB_Asynch_Transmit_Handler::ACE_POSIX_AIOCB_Asynch_Transmit_Handler ( | ACE_POSIX_AIOCB_Proactor * posix_aiocb_proactor,
| ACE_POSIX_Asynch_Transmit_File_Result * result )

ACE_POSIX_AIOCB_Asynch_Transmit_Handler::~ACE_POSIX_AIOCB_Asynch_Transmit_Handler ( | void )`[virtual]`

## Member Function Documentation

void ACE_POSIX_AIOCB_Asynch_Transmit_Handler::handle_read_file ( | const ACE_Asynch_Read_File::Result & result )`[protected, virtual]`

| This method will be called when an asynchronous read completes on a file. Reimplemented from ACE_Handler.

void ACE_POSIX_AIOCB_Asynch_Transmit_Handler::handle_write_stream ( | const ACE_Asynch_Write_Stream::Result & result )`[protected, virtual]`

| This method will be called when an asynchronous write completes on a stream. Reimplemented from ACE_Handler.

int ACE_POSIX_AIOCB_Asynch_Transmit_Handler::initiate_read_file ( | void )`[protected]`

int ACE_POSIX_AIOCB_Asynch_Transmit_Handler::transmit ( | void )

## Member Data Documentation

ACE_POSIX_AIOCB_Asynch_Read_File ACE_POSIX_AIOCB_Asynch_Transmit_Handler::rf_`[protected]`

ACE_POSIX_AIOCB_Asynch_Write_Stream ACE_POSIX_AIOCB_Asynch_Transmit_Handler::ws_`[protected]`

The documentation for this class was generated from the following file:

- POSIX_Asynch_IO.cpp